summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Bock <nicolasbock@gentoo.org>2015-12-02 06:06:58 -0700
committerNicolas Bock <nicolasbock@gentoo.org>2015-12-02 06:06:58 -0700
commit6c9ac5103f738c5c4daa6058c290cd9ff0d846cf (patch)
tree6026666204fd8eff791b3f3be478c6a66b7e4ebe /app-crypt
parentdev-lang/php: Remove php 7.0 rcs (diff)
downloadgentoo-6c9ac5103f738c5c4daa6058c290cd9ff0d846cf.tar.gz
gentoo-6c9ac5103f738c5c4daa6058c290cd9ff0d846cf.tar.bz2
gentoo-6c9ac5103f738c5c4daa6058c290cd9ff0d846cf.zip
app-crypt/keybase: Version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'app-crypt')
-rw-r--r--app-crypt/keybase/Manifest1
-rw-r--r--app-crypt/keybase/keybase-0.8.25.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/app-crypt/keybase/Manifest b/app-crypt/keybase/Manifest
index 9cba3ea65fa..4b735259f4a 100644
--- a/app-crypt/keybase/Manifest
+++ b/app-crypt/keybase/Manifest
@@ -3,3 +3,4 @@ DIST keybase-0.8.18.tar.gz 7062931 SHA256 c1ef27f959401164e72fbcd5c4054d13258a3f
DIST keybase-0.8.22.tar.gz 7101414 SHA256 4290251ddf7d1f124211731aa8d0dd47f43ba9e1eb9b0b0f326d7986a3f87cb7 SHA512 ed75fc7fa5f97701c6a9e5880a113bdf392f21b1bdfaa63b7070231e10608d755304300b6b5208b2bc363869ffb631e2261df89747ba9b654bc98a420a0511cb WHIRLPOOL e13a4451bdf5962122b54c95d8d35d4570e0475f6012bb5126ff5ec2f48767048600da4f89f9d0ec6b70523b54262c52f5e29d7b766a83c38723ee25ce5acaab
DIST keybase-0.8.23.tar.gz 7101472 SHA256 20e7e7e7a125ddb3b0e7023c3dcaf12f12c7b183822592b164ca11dd1e6f9a25 SHA512 5030df4cdfdd8d1175f348d5e1fb201d558ddf149bcda679d433eb9ba4f361ae882dde73c6a99615854b7f5d7e5ddcc09e3fbda49f1110d9f205e48068edcc8d WHIRLPOOL 742d67597b35287b75f0a89b89d1b04815bbfdc7c7df29d9963b821091ec88c5db0715d96a06e73f3a7d4aecb5d3cf2a2309a3f14acfed3f9a38d02c28fa618e
DIST keybase-0.8.24.tar.gz 7109062 SHA256 680eaadbae16724912c4bbbd916b20a116fb5d290e4f8e91d2c7093261a26856 SHA512 65b2a4a21f814617363615153bc034c94854297d0b53cd538cc90320fc48ae8e6c9c13e3c06ae729a4fbe035b6cbbb5020d6a0618aed2c94b0ee858f8b919cd2 WHIRLPOOL 889b90879b1f18650c13c048bf888aca85c4ca162d85cd60ba527eccfe3d8da9b9a313f7d6c6cd757feb949f200dbb2021daa2b45af70ad99403826241f0773a
+DIST keybase-0.8.25.tar.gz 7109238 SHA256 e34b128f48e27a1c3066b5f3f19d99df735f9be4f1c867d1d3d408c8e12983fd SHA512 b6986063c34a18bd91148e588d43545f8baf7849cf80ea03b88d26e1f3dd6684cc9e5ebd5e10ff5ac0639fa308c2e07f577b6a7ded6f5bf4bd4510e64bb31025 WHIRLPOOL 1413eed7f26ec6b2d17f63d6315baac48d6a7f0935c3608e4ffcd5cd8df7f13db01e8d93ce76b33b4e0ceb322f508a3601e37be6cad86c20e976bb33012f28db
diff --git a/app-crypt/keybase/keybase-0.8.25.ebuild b/app-crypt/keybase/keybase-0.8.25.ebuild
new file mode 100644
index 00000000000..644ff738ea6
--- /dev/null
+++ b/app-crypt/keybase/keybase-0.8.25.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Client for keybase.io"
+HOMEPAGE="https://keybase.io/"
+SRC_URI="https://github.com/keybase/node-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ net-libs/nodejs
+ app-crypt/gnupg"
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+ mv "node-client-${PV}" "${P}"
+}
+
+src_install() {
+ dodoc CHANGELOG.md README.md SIGNED.md
+ insinto "/opt/${PN}"
+ doins -r package.json bin certs json lib node_modules sql
+ dosym "${D}/opt/${PN}/bin/main.js" "${ROOT}/usr/bin/keybase"
+ chmod 0755 "${D}/opt/${PN}/bin/main.js" || die
+}